---
title: '<rtc>: The Ruby Text Container element'
slug: Web/HTML/Element/rtc
tags:
  - Element
  - HTML
  - HTML text-level semantics
  - NeedsContent
  - Reference
  - Ruby Text
  - Text
  - Web
  - rtc
---
<div>{{HTMLRef}}</div>

<p>The <strong>HTML Ruby Text Container (<code>&lt;rtc&gt;</code>) element</strong> embraces semantic annotations of characters presented in a ruby of {{HTMLElement("rb")}} elements used inside of {{ HTMLElement("ruby") }} element. {{HTMLElement("rb")}} elements can have both pronunciation ({{HTMLElement("rt")}}) and semantic ({{HTMLElement("rtc")}}) annotations.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/rtc.html", "tabbed-standard")}}</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a> or {{HTMLElement("rt")}} elements.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The closing tag can be omitted if it is immediately followed by a {{HTMLElement("rb")}}, {{HTMLElement("rtc")}} or {{HTMLElement("rt")}} element opening tag or by its parent closing tag.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("ruby")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: html highlight[8] notranslate">&lt;div class="info"&gt;
  &lt;ruby&gt;
    &lt;rbc&gt;
      &lt;rb&gt;旧&lt;/rb&gt;&lt;rt&gt;jiù&lt;/rt&gt;
      &lt;rb&gt;金&lt;/rb&gt;&lt;rt&gt;jīn&lt;/rt&gt;
      &lt;rb&gt;山&lt;/rb&gt;&lt;rt&gt;shān&lt;/rt&gt;
    &lt;/rbc&gt;
    &lt;rtc&gt;San Francisco&lt;/rtc&gt;
  &lt;/ruby&gt;
&lt;/div&gt;
</pre>

<div class="hidden">
<pre class="brush: css notranslate">.info {
  padding-top: 10px;
  font-size: 36px;
}
</pre>
</div>

<p>{{EmbedLiveSample("Examples", 600, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5.2', 'textlevel-semantics.html#the-rtc-element', '&lt;rtc&gt;')}}</td>
   <td>{{Spec2('HTML5.2')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'textlevel-semantics.html#the-rtc-element', '&lt;rtc&gt;')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'text-level-semantics.html#the-rtc-element', '&lt;rtc&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.rtc")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("ruby")}}</li>
 <li>{{HTMLElement("rp")}}</li>
 <li>{{HTMLElement("rb")}}</li>
 <li>{{HTMLElement("rt")}}</li>
 <li>{{HTMLElement("rbc")}}</li>
</ul>
